
/* HEADER */
.header-logo {
    width: 100px;
    height: auto;
    margin-left: 0;
    z-index: 1;
    top: 30px;
    left: 30px;
    position: absolute;
}

.header-links {
    display: flex;
    width: 70%;
    flex-direction: row;
    padding: 30px 0 0 0;
    gap: 10%;
    margin-left: 200px;
}

.header-links a {
    font-family: "Anek Telugu", sans-serif;
    font-size: 1.4vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    text-decoration: none;
    color: #D6EFFF;
    align-self: center;
}

.contact-button {
    padding: 20px 20px;
    align-self: center;
    top: 30px;
    right: 50px;
    margin-top: 30px;
    margin-right: 100px;
}

button {
    font-family: "Anek Telugu", sans-serif;
    font-size: 16px;
    text-wrap: none;
    font-weight: 400;
    font-style: normal;
    color: #D6EFFF;
    background-color: #1A5182;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: none;
    border-style: none;
    text-wrap-mode: nowrap;
}

button:hover {
    animation-name: scaleUp;
    animation-duration: 0.3s;
    animation-fill-mode: both;
}

@keyframes scaleUp {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(1.1);
    }
}

.header-links a:hover {
    color: #124d72;
    animation-name: scaleUp;
    animation-duration: 0.3s;
    animation-fill-mode: both;
}
.header {
    display: flex;
    padding: 20px;
    z-index: 1;
    position: absolute;
    gap: 15vw;
    width: 100%;
}

/* First Page */
.landing-page-text {
    position: absolute;
    top: 40%;
    left: 10%;
    text-align: start;
    color: white;
    z-index: 1;
}

.landing-page-title {
    
    font-family: "EB Garamond", serif;
    font-size: 3vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.landing-page-subtitle {
    font-family: "Anek Telugu", sans-serif;
    font-size: 2vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    line-height: 0.4;
}

.landing-image {
    width: 100%;
    height: auto;
    margin-top: 0px;
    margin-bottom: auto;
    z-index: -1;
    overflow: hidden;
}

/* Second Page */
.valv-container {
    width: 100%;
    background-color: #FBF3E0;
    display:flex;
    flex-direction: column;
    align-items: center;
    padding-top: 20%;
    padding-bottom: 20%;
}

.valv-image {
    width: 15%;
    height: auto;
    padding-bottom: 5%;
}

.quote {
    font-family: "EB Garamond", serif;
    font-size: 1.1vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: #1A5182;
    text-align: center;
    width: 20%;
    animation: textFadeIn 2s ease-in;
    animation-fill-mode: both;
}

@keyframes textFadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
    
}

/* Third Page */
.about-me {
    display: flex;
    padding-left: 5%;
    flex-direction: row;
    background: #D6EFFF;
    gap: 5%;
    grid-area: container;
}

.about-me-image {
    width: 60%;
    height: auto;
    z-index: 2;
    position: relative;
}


@font-face {
  font-family: DMSerifDisplay;
  src: url('./fonts/DMSerifDisplay-Regular.ttf');
}

.about-me-text {
    width: 75%;
}

.about-me-text h1 {
    position: relative;
    font-family: DMSerifDisplay;
    font-weight: 400;
    font-style: normal;
    font-size: 64px;
    font-optical-sizing: auto;
    color: #1A5182;
    z-index: 2;
}

.about-me-text p {
    position: relative;
    font-family: "Anek Telugu", sans-serif;
    font-size: 1.4vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: #1A5182;
    z-index: 2;
}

.illustration {
    position: absolute;
    z-index: 0;
    width: 65%;
    grid-area: container;
    padding-top: 20%;
    pointer-events: none;
}

.about-me-container {
    display: grid;
    grid-template: "container";
}


/* Fourth Page */
.services-page {
    background-color: #D6EFFF;
    padding-bottom: 15%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services-title {
    font-family: "EB Garamond", serif;
    font-size: 3vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    padding: 5% 0 5% 0;
    color: #1A5182;
    margin-top: -0.1%;
    text-align: center;
}

.service-container {
    width: 80%;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    margin: 0;
    border-bottom: 1px solid #124d72;
    z-index: 100;
    pointer-events: all;
    cursor: pointer;
}

.service-container:hover {
    animation-name: service-container-animation;
    animation-duration: 0.3s;
    animation-fill-mode: both;
}

@keyframes service-container-animation {
    from {
        width: 80%;
    }
    to {
        width: 82%;
    }
}

.service-container h2 {
    font-family: "EB Garamond", serif;
    font-size: 2vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: #1A5182;
}

.arrow-right {
    width: 3vw;
    height: auto;
    margin-left: auto;
    margin-right: 0;
}

/* Last Page */
.last-page {
    position: relative;
    background-image: url('./imgs/blurry_background.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
    overflow: hidden;
    text-align: center;
    padding: 4rem 1rem 2rem;
    box-sizing: border-box;
}

.last-page-content {
  max-width: 800px;
  margin: 0 auto;
}

.footer-logo {
  width: 80px;
  margin-top: 2rem;
  filter: brightness(0) saturate(100%) invert(25%) sepia(18%) saturate(3763%) hue-rotate(179deg) brightness(95%) contrast(89%);
}

/* Decorative flowers */
.flower1,
.flower2 {
  position: absolute;
  bottom: 0;
  opacity: 0.8;
}

.flower1 {
  left: 0;
  transform: translateY(20%);
  width: 20%;
  margin-left: 7%;
}

.flower2 {
  right: 0;
  transform: translateY(20%);
  width: 10%;
  margin-right: 7%;
}

.last-page p {
    font-family: "EB Garamond", serif;
    font-size: 1.5vw;
    line-height: 1;
    white-space: pre-line;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: #1A5182;
    text-align: center;
}

.last-page h1 {
    font-family: "EB Garamond", serif;
    font-size: 3vw;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    padding: 5% 0 5% 0;
    color: #1A5182;
    margin-top: -0.1%;
    text-align: center;
}

/* MISC */

html, body {
    margin: 0;
    padding: 0;
    max-width: 100%;
    overflow-x: hidden;
}